<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [GangTaskStats](./bitburner.gangtaskstats.md)

## GangTaskStats interface

Object representing data representing a gang member task.

**Signature:**

```typescript
interface GangTaskStats 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [agiWeight](./bitburner.gangtaskstats.agiweight.md) |  | number | Agility skill impact on task scaling |
|  [baseMoney](./bitburner.gangtaskstats.basemoney.md) |  | number | Base money earned |
|  [baseRespect](./bitburner.gangtaskstats.baserespect.md) |  | number | Base respect earned |
|  [baseWanted](./bitburner.gangtaskstats.basewanted.md) |  | number | Base wanted earned |
|  [chaWeight](./bitburner.gangtaskstats.chaweight.md) |  | number | Charisma skill impact on task scaling |
|  [defWeight](./bitburner.gangtaskstats.defweight.md) |  | number | Defense skill impact on task scaling |
|  [desc](./bitburner.gangtaskstats.desc.md) |  | string | Task Description |
|  [dexWeight](./bitburner.gangtaskstats.dexweight.md) |  | number | Dexterity skill impact on task scaling |
|  [difficulty](./bitburner.gangtaskstats.difficulty.md) |  | number | Number representing the difficulty of the task |
|  [hackWeight](./bitburner.gangtaskstats.hackweight.md) |  | number | Hacking skill impact on task scaling |
|  [isCombat](./bitburner.gangtaskstats.iscombat.md) |  | boolean | Is a task of a combat gang |
|  [isHacking](./bitburner.gangtaskstats.ishacking.md) |  | boolean | Is a task of a hacking gang |
|  [name](./bitburner.gangtaskstats.name.md) |  | string | Task name |
|  [strWeight](./bitburner.gangtaskstats.strweight.md) |  | number | Strength skill impact on task scaling |
|  [territory](./bitburner.gangtaskstats.territory.md) |  | [GangTerritory](./bitburner.gangterritory.md) | Territory impact on task scaling |

